/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
// Includes -----------------------------------------------------------------
// entweder das Adafruit Shield oder eine externes I2C LCD
//#include <Adafruit_RGBLCDShield.h>
#include <LiquidCrystal_I2C.h>

#include <arduino.h>
#include <Wire.h>  
#include "i2c_adressen.h"
#include "i2clcd.h"
 
// Variablen -----------------------------------------------------------------
// entweder das Adafruit Shield oder eine externes I2C LCD
//Adafruit_RGBLCDShield lcd = Adafruit_RGBLCDShield();
LiquidCrystal_I2C lcd2(I2C_LCD_DISPLAY2, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  

// Funktionen ----------------------------------------------------------------
void i2c_2_lcd_Setup(void)
{
  lcd2.begin(16,2);
  lcd2.clear();
  lcd2.setCursor(0,0);
  lcd2.print("**** SEaP: *****");
  lcd2.setCursor(0,1);
  lcd2.print("----------------");
  delay(1000);
  lcd2.clear();
}

void i2c_2_lcd_Write(uint8_t line, char* txt)
{
  switch(line)
  {
    case I2CLCD_LINE1:
      lcd2.setCursor(0,0);
      break;
    case I2CLCD_LINE2:
      lcd2.setCursor(0,1);
      break;
  }
  lcd2.print(txt);
}
