/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Display mit zwei Zeilen a 16 Zeichen ausgeben
 ***************************************************************************/
#ifndef I2C2LCD_HEADER
#define I2C2LCD_HEADER

// Defines -----------------------------------------------------------------
#define I2CLCD_LINE1 1
#define I2CLCD_LINE2 2

#define BLANK  (char)32 // ASCII Leerzeichen
#define EMPTY  (char)48 // ASCII 0
#define ENDE   (char)0  // Stringende
#define PUNKT  (char)46 // ASCII .
#define DPUNKT (char)58 // ASCII :

void i2c_2_lcd_Setup(void);
void i2c_2_lcd_Write(uint8_t line, char* txt);

#endif
